<apex:page controller="JobRegistrationController" >
    <apex:stylesheet value="{!$Resource.Application_CSS1}"/>
    <apex:includeScript value="{!$Resource.Application_Js}"/>
    <apex:form id="theForm">
        <h1>
            Job Wizards
        </h1>
        
        <apex:pageBlock mode="edit" id="pb">
            <div class="backg">
                <br/>
                <div class="divForimg" >
                    <apex:image url="{!URLFOR($Resource.Application_Image)}" styleClass="forImg" />  
                </div>
                <hr/>
                
                
                <apex:pageBlockSection title="Fill the Information" columns="1" id="pbs"  >
                    
                    <apex:inputField value="{!Job.Job_Types1__c}" />
                    <apex:inputField value="{!Job.Qualification_Required__c   }" id="qualification"/>
                    <apex:inputField value="{!Job.Required_Skills__c}" id="skill"/>
                    <apex:inputField value="{!Job.Certification_Required__c}" id="certification" />
                    <apex:inputField value="{!Job.Number_of_Positions__c}"/>
                    <apex:inputField value="{!Job.Salary_Offered__c}" id="salary"/>
                    <apex:inputField value="{!Job.Expires_On__c}" id="expiry"/>
                    
                    <apex:inputField value="{!Job.Description__c}" />
                </apex:pageBlockSection>
                <div>
                    
                    
                    <apex:commandButton value="save" onclick="checkFieldForJob('{!$Component.theForm.pb.pbs.skill}','{!$Component.theForm.pb.pbs.salary}', '{!$Component.theForm.pb.pbs.certification}', '{!$Component.theForm.pb.pbs.qualification}', '{!$Component.theForm.pb.pbs.expiry}')"  action="{!save}"/>
                    
                    <apex:actionFunction name="save" reRender="true"/>
                </div>
                <hr/>
                <br/>
                <br/>
                
            </div>
        </apex:pageBlock>
    </apex:form>
</apex:page>